#pragma once

#include <filesystem>
#include <tuple>

/// \brief Parses the arguments passed to the program
[[nodiscard]] auto parse_args(int, char**) -> std::tuple<std::filesystem::path,
                                                         std::filesystem::path,
                                                         int,
                                                         int,
                                                         int,
                                                         int,
                                                         int,
                                                         bool,
                                                         bool>;
